libzypp: zypp::repo::RepoMirrorList Class Reference

libzypp 17.38.9

zypp::repo::RepoMirrorList Class Reference

`#include <zypp/repo/RepoMirrorList.h>`

## Public Member Functions
| RepoMirrorList (const Url &url_r, const Pathname &metadatapath_r)
| RepoMirrorList (const Url &url_r)
const std::vector< Url > & | getUrls () const
std::vector< Url > & | getUrls ()

## Static Public Member Functions
static bool | urlSupportsMirrorLink (const zypp::Url &url)
static constexpr const char * | cookieFileName ()
static constexpr const char * | cacheFileName ()

## Static Private Member Functions
static void | saveToCookieFile (const Pathname &path_r, const zypp::Url &url_r)
static std::string | readCookieFile (const Pathname &path_r)
static std::string | makeCookie (const zypp::Url &url_r)
| Generates the cookie value, currently this is only derived from the Url.

## Private Attributes
std::vector< Url > | _urls

## Detailed Description

Definition at line 21 of file RepoMirrorList.h.

## Constructor & Destructor Documentation

## ◆ RepoMirrorList() [1/2]

zypp::repo::RepoMirrorList::RepoMirrorList | ( | const Url & | url_r,
|  | const Pathname & | metadatapath_r )

Definition at line 330 of file RepoMirrorList.cc.

## ◆ RepoMirrorList() [2/2]

zypp::repo::RepoMirrorList::RepoMirrorList | ( | const Url & | url_r | ) |
| inline

Definition at line 27 of file RepoMirrorList.h.

## Member Function Documentation

## ◆ getUrls() [1/2]

const std::vector< Url > & zypp::repo::RepoMirrorList::getUrls | ( |  | ) | const
| inline

Definition at line 31 of file RepoMirrorList.h.

## ◆ getUrls() [2/2]

std::vector< Url > & zypp::repo::RepoMirrorList::getUrls | ( |  | ) |
| inline

Definition at line 34 of file RepoMirrorList.h.

## ◆ urlSupportsMirrorLink()

bool zypp::repo::RepoMirrorList::urlSupportsMirrorLink | ( | const zypp::Url & | url | ) |
| static

Definition at line 417 of file RepoMirrorList.cc.

## ◆ cookieFileName()

constexpr const char * zypp::repo::RepoMirrorList::cookieFileName | ( |  | ) |
| inlinestaticconstexpr

Definition at line 39 of file RepoMirrorList.h.

## ◆ cacheFileName()

constexpr const char * zypp::repo::RepoMirrorList::cacheFileName | ( |  | ) |
| inlinestaticconstexpr

Definition at line 44 of file RepoMirrorList.h.

## ◆ saveToCookieFile()

void zypp::repo::RepoMirrorList::saveToCookieFile | ( | const Pathname & | path_r,
|  | const zypp::Url & | url_r )
| staticprivate

Definition at line 445 of file RepoMirrorList.cc.

## ◆ readCookieFile()

std::string zypp::repo::RepoMirrorList::readCookieFile | ( | const Pathname & | path_r | ) |
| staticprivate

Definition at line 426 of file RepoMirrorList.cc.

## ◆ makeCookie()

std::string zypp::repo::RepoMirrorList::makeCookie | ( | const zypp::Url & | url_r | ) |
| staticprivate

Generates the cookie value, currently this is only derived from the Url.

Definition at line 440 of file RepoMirrorList.cc.

## Member Data Documentation

## ◆ _urls

std::vector<Url> zypp::repo::RepoMirrorList::_urls
| private

Definition at line 55 of file RepoMirrorList.h.

The documentation for this class was generated from the following files:

- zypp/repo/RepoMirrorList.h
- zypp/repo/RepoMirrorList.cc